Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.struts.common
Class PortletApiUtils

    java.lang.Object
      com.ibm.portal.struts.common.PortletApiUtils
          com.ibm.wps.struts.common.PortletApiUtils

Deprecated.

    public abstract class PortletApiUtils

extends PortletApiUtils

APIs for linking portlet-specific support into tags without requiring the portlet support to use the tags. The APIs use generic objects. This class has been deprecated in favor of the the public package `com.ibm.portal.struts.common`.

Since:
  4.1
See Also:
  `PortletApiUtils`

Field Summary

Fields inherited from class com.ibm.portal.struts.common.PortletApiUtils
`RETURN_URL, s_namescopeForm, s_namescopeInputName, STANDARD_URL`

Constructor Summary
`PortletApiUtils()` Deprecated.

Method Summary
`static PortletApiUtils` | `getInstance()` Deprecated. Gets the singleton instance of the PortletApiUtils implementation.
`static void` | `setInstance(PortletApiUtils implementation)` Deprecated.

Methods inherited from class com.ibm.portal.struts.common.PortletApiUtils
`addDefaultPortletAction, addDefaultPortletAction, addModulePrefix, addParameter, addStrutsActionUrlAsParameter, createCommand, createCommand, createCommand, createCommand, createPortletURI, createPortletURI, createPortletURI, createPortletURIWithStrutsURL, createPortletURIWithStrutsURL, createPortletURIWithStrutsURL, createPortletURIWithStrutsURL, createPortletURIWithStrutsURL, createStrutsPortletURL, encodeAction, encodeNamespace, encodeURL, encodeURL, forward, forward, getActionMappingURL, getDefaultPortletActionName, getEncodedBeanName, getHttpServletRequest, getHttpServletResponse, getParameterName, getPortletRequest, getPortletResponse, getPortletResponse, getStrutsActionParameterName, getUtilsInstance, includeTile, isFormNamescoped, setDefaultPortletActionName, setNamescopeForm, setParameterName, setStrutsActionParameterName, setUtilsInstance, typeOfURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletApiUtils

    public PortletApiUtils()

  Deprecated.

Method Detail

### getInstance

    public static PortletApiUtils getInstance()

  Deprecated.
  Gets the singleton instance of the PortletApiUtils implementation.

  Returns:
    the implementation object of the PortletApiUtils or `null` if none has been set

### setInstance

    public static void setInstance(PortletApiUtils implementation)

  Deprecated.

  Sets the singleton instance of the PortletApiUtils implementation.

  Parameters:
    `implementation` - the implementation of the PortletApiUtils

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD